Bug 734026 - Issues with sync status tab a) progress bar is not updating with sync b) "Expand/contract All" is not working
Summary: Issues with sync status tab a) progress bar is not updating with sync b) "Exp...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-29 08:52 UTC by Sachin Ghai
Modified: 2019-09-26 13:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:53:55 UTC
Target Upstream Version:


Attachments (Terms of Use)
Sync is running from last one hour and state is running, but progress bar is not updating (30.41 KB, image/png)
2011-08-29 08:53 UTC, Sachin Ghai
no flags Details
amother test with small repo (19.63 KB, image/png)
2011-08-29 08:56 UTC, Sachin Ghai
no flags Details
Progress bar is updating with sync progress (37.84 KB, image/png)
2011-09-08 09:38 UTC, Sachin Ghai
no flags Details

Description Sachin Ghai 2011-08-29 08:52:08 UTC
Description of problem:
I Installed a fresh setup of katello, and created a repos under new org:

- sghai_org ==> RHEL61 ==> rhel61_x86_64

Issues:
==========
1. I started the sync, but the progress bar is not updating with the sync progress. please see the screenshot ( sync_progress.png )
2. None of the following function is working like:
- Select All
- Select None
- Expand/contract All

Note that these issues are only with new build. On previous build, "sync status" is working fine.

Version-Release number of selected component (if applicable):
katello-0.1.71-1.git.0.7bdb786.fc15.noarch


How reproducible:
always

Steps to Reproduce:
1. Create a product and a repos
2. Go to Sync status tab, Start the sync and monitor the progress bar
3. Click on following:
- Select All
- Select None
- Expand/contract All
Actual results:
Progress bar is not updating with sync progress and none of the listed operations is working:

- Select All
- Select None
- Expand/contract All


Expected results:

Additional info:

Comment 1 Sachin Ghai 2011-08-29 08:53:38 UTC
Created attachment 520322 [details]
Sync is running from last one hour and state is running, but progress bar is not updating

Comment 2 Sachin Ghai 2011-08-29 08:56:39 UTC
Created attachment 520323 [details]
amother test with small repo

Another test with smaller repo and with default org (Acme_Corporation).

Comment 3 Mike McCune 2011-09-02 16:47:45 UTC
I've seen this as well locally on my dev box and the ktdemo server we use

Comment 4 Mike McCune 2011-09-06 19:46:35 UTC
fixed in ee25bad3ddd689fb3880a4bbe48010b90442ae1d

Comment 5 Sachin Ghai 2011-09-08 09:28:03 UTC
Verified with following katello builds:

[root@dhcp201-204 ~]# rpm -qa | grep katellokatello-cli-0.1.9-1.git.2.18d37b8.fc15.noarch
katello-0.1.76-1.git.48.ee25bad.fc15.noarch
[root@dhcp201-204 ~]# 

The reported issue has now been fixed. Progress bar is updating with sync progress and Expand/contract is also working.

Comment 6 Sachin Ghai 2011-09-08 09:38:38 UTC
Created attachment 522078 [details]
Progress bar is updating with sync progress


Note You need to log in before you can comment on or make changes to this bug.